import { AccountOperationRestrictionTransactionBodyBuilder } from './AccountOperationRestrictionTransactionBodyBuilder';
import { AccountRestrictionFlagsDto } from './AccountRestrictionFlagsDto';
import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
export declare class AccountOperationRestrictionTransactionBuilder extends TransactionBuilder implements Serializer {
    readonly accountOperationRestrictionTransactionBody: AccountOperationRestrictionTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, restrictionFlags: AccountRestrictionFlagsDto[], restrictionAdditions: EntityTypeDto[], restrictionDeletions: EntityTypeDto[]);
    static loadFromBinary(payload: Uint8Array): AccountOperationRestrictionTransactionBuilder;
    static createAccountOperationRestrictionTransactionBuilder(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, restrictionFlags: AccountRestrictionFlagsDto[], restrictionAdditions: EntityTypeDto[], restrictionDeletions: EntityTypeDto[]): AccountOperationRestrictionTransactionBuilder;
    getRestrictionFlags(): AccountRestrictionFlagsDto[];
    getRestrictionAdditions(): EntityTypeDto[];
    getRestrictionDeletions(): EntityTypeDto[];
    getSize(): number;
    getBody(): AccountOperationRestrictionTransactionBodyBuilder;
    serialize(): Uint8Array;
}
