import { KeyDto } from './KeyDto';
import { Serializer } from './Serializer';
import { SignatureDto } from './SignatureDto';
export declare class CosignatureBuilder implements Serializer {
    readonly version: number[];
    readonly signerPublicKey: KeyDto;
    readonly signature: SignatureDto;
    constructor(version: number[], signerPublicKey: KeyDto, signature: SignatureDto);
    static loadFromBinary(payload: Uint8Array): CosignatureBuilder;
    static createCosignatureBuilder(version: number[], signerPublicKey: KeyDto, signature: SignatureDto): CosignatureBuilder;
    getVersion(): number[];
    getSignerPublicKey(): KeyDto;
    getSignature(): SignatureDto;
    getSize(): number;
    serialize(): Uint8Array;
}
