import { AccountOperationRestrictionTransactionBodyBuilder } from './AccountOperationRestrictionTransactionBodyBuilder';
import { AccountRestrictionFlagsDto } from './AccountRestrictionFlagsDto';
import { EmbeddedTransactionBuilder } from './EmbeddedTransactionBuilder';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
export declare class EmbeddedAccountOperationRestrictionTransactionBuilder extends EmbeddedTransactionBuilder implements Serializer {
    readonly accountOperationRestrictionTransactionBody: AccountOperationRestrictionTransactionBodyBuilder;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, restrictionFlags: AccountRestrictionFlagsDto[], restrictionAdditions: EntityTypeDto[], restrictionDeletions: EntityTypeDto[]);
    static loadFromBinary(payload: Uint8Array): EmbeddedAccountOperationRestrictionTransactionBuilder;
    static createEmbeddedAccountOperationRestrictionTransactionBuilder(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, restrictionFlags: AccountRestrictionFlagsDto[], restrictionAdditions: EntityTypeDto[], restrictionDeletions: EntityTypeDto[]): EmbeddedAccountOperationRestrictionTransactionBuilder;
    getRestrictionFlags(): AccountRestrictionFlagsDto[];
    getRestrictionAdditions(): EntityTypeDto[];
    getRestrictionDeletions(): EntityTypeDto[];
    getSize(): number;
    getBody(): AccountOperationRestrictionTransactionBodyBuilder;
    serialize(): Uint8Array;
}
