import { AddressAliasTransactionBodyBuilder } from './AddressAliasTransactionBodyBuilder';
import { AddressDto } from './AddressDto';
import { AliasActionDto } from './AliasActionDto';
import { EmbeddedTransactionBuilder } from './EmbeddedTransactionBuilder';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NamespaceIdDto } from './NamespaceIdDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
export declare class EmbeddedAddressAliasTransactionBuilder extends EmbeddedTransactionBuilder implements Serializer {
    readonly addressAliasTransactionBody: AddressAliasTransactionBodyBuilder;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, namespaceId: NamespaceIdDto, address: AddressDto, aliasAction: AliasActionDto);
    static loadFromBinary(payload: Uint8Array): EmbeddedAddressAliasTransactionBuilder;
    static createEmbeddedAddressAliasTransactionBuilder(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, namespaceId: NamespaceIdDto, address: AddressDto, aliasAction: AliasActionDto): EmbeddedAddressAliasTransactionBuilder;
    getNamespaceId(): NamespaceIdDto;
    getAddress(): AddressDto;
    getAliasAction(): AliasActionDto;
    getSize(): number;
    getBody(): AddressAliasTransactionBodyBuilder;
    serialize(): Uint8Array;
}
