import { AliasActionDto } from './AliasActionDto';
import { EmbeddedTransactionBuilder } from './EmbeddedTransactionBuilder';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { MosaicAliasTransactionBodyBuilder } from './MosaicAliasTransactionBodyBuilder';
import { MosaicIdDto } from './MosaicIdDto';
import { NamespaceIdDto } from './NamespaceIdDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
export declare class EmbeddedMosaicAliasTransactionBuilder extends EmbeddedTransactionBuilder implements Serializer {
    readonly mosaicAliasTransactionBody: MosaicAliasTransactionBodyBuilder;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, namespaceId: NamespaceIdDto, mosaicId: MosaicIdDto, aliasAction: AliasActionDto);
    static loadFromBinary(payload: Uint8Array): EmbeddedMosaicAliasTransactionBuilder;
    static createEmbeddedMosaicAliasTransactionBuilder(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, namespaceId: NamespaceIdDto, mosaicId: MosaicIdDto, aliasAction: AliasActionDto): EmbeddedMosaicAliasTransactionBuilder;
    getNamespaceId(): NamespaceIdDto;
    getMosaicId(): MosaicIdDto;
    getAliasAction(): AliasActionDto;
    getSize(): number;
    getBody(): MosaicAliasTransactionBodyBuilder;
    serialize(): Uint8Array;
}
