import { BlockDurationDto } from './BlockDurationDto';
import { EmbeddedTransactionBuilder } from './EmbeddedTransactionBuilder';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NamespaceIdDto } from './NamespaceIdDto';
import { NamespaceRegistrationTransactionBodyBuilder } from './NamespaceRegistrationTransactionBodyBuilder';
import { NamespaceRegistrationTypeDto } from './NamespaceRegistrationTypeDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
export declare class EmbeddedNamespaceRegistrationTransactionBuilder extends EmbeddedTransactionBuilder implements Serializer {
    readonly namespaceRegistrationTransactionBody: NamespaceRegistrationTransactionBodyBuilder;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, duration: BlockDurationDto | undefined, parentId: NamespaceIdDto | undefined, id: NamespaceIdDto, registrationType: NamespaceRegistrationTypeDto, name: Uint8Array);
    static loadFromBinary(payload: Uint8Array): EmbeddedNamespaceRegistrationTransactionBuilder;
    static createEmbeddedNamespaceRegistrationTransactionBuilderChild(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, parentId: NamespaceIdDto, id: NamespaceIdDto, name: Uint8Array): EmbeddedNamespaceRegistrationTransactionBuilder;
    static createEmbeddedNamespaceRegistrationTransactionBuilderRoot(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, duration: BlockDurationDto, id: NamespaceIdDto, name: Uint8Array): EmbeddedNamespaceRegistrationTransactionBuilder;
    getDuration(): BlockDurationDto;
    getParentId(): NamespaceIdDto;
    getId(): NamespaceIdDto;
    getRegistrationType(): NamespaceRegistrationTypeDto;
    getName(): Uint8Array;
    getSize(): number;
    getBody(): NamespaceRegistrationTransactionBodyBuilder;
    serialize(): Uint8Array;
}
