import { EmbeddedTransactionBuilder } from './EmbeddedTransactionBuilder';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { LinkActionDto } from './LinkActionDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { NodeKeyLinkTransactionBodyBuilder } from './NodeKeyLinkTransactionBodyBuilder';
import { Serializer } from './Serializer';
export declare class EmbeddedNodeKeyLinkTransactionBuilder extends EmbeddedTransactionBuilder implements Serializer {
    readonly nodeKeyLinkTransactionBody: NodeKeyLinkTransactionBodyBuilder;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, linkedPublicKey: KeyDto, linkAction: LinkActionDto);
    static loadFromBinary(payload: Uint8Array): EmbeddedNodeKeyLinkTransactionBuilder;
    static createEmbeddedNodeKeyLinkTransactionBuilder(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, linkedPublicKey: KeyDto, linkAction: LinkActionDto): EmbeddedNodeKeyLinkTransactionBuilder;
    getLinkedPublicKey(): KeyDto;
    getLinkAction(): LinkActionDto;
    getSize(): number;
    getBody(): NodeKeyLinkTransactionBodyBuilder;
    serialize(): Uint8Array;
}
