import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
export declare class EmbeddedTransactionBuilder implements Serializer {
    readonly signerPublicKey: KeyDto;
    readonly version: number;
    readonly network: NetworkTypeDto;
    readonly type: EntityTypeDto;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto);
    static loadFromBinary(payload: Uint8Array): EmbeddedTransactionBuilder;
    static createEmbeddedTransactionBuilder(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto): EmbeddedTransactionBuilder;
    getSignerPublicKey(): KeyDto;
    getVersion(): number;
    getNetwork(): NetworkTypeDto;
    getType(): EntityTypeDto;
    getSize(): number;
    getBody(): undefined | Serializer;
    serialize(): Uint8Array;
}
