import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { Serializer } from './Serializer';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
export declare class TransactionBuilder implements Serializer {
    readonly signature: SignatureDto;
    readonly signerPublicKey: KeyDto;
    readonly version: number;
    readonly network: NetworkTypeDto;
    readonly type: EntityTypeDto;
    readonly fee: AmountDto;
    readonly deadline: TimestampDto;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto);
    static loadFromBinary(payload: Uint8Array): TransactionBuilder;
    static createTransactionBuilder(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto): TransactionBuilder;
    getSignature(): SignatureDto;
    getSignerPublicKey(): KeyDto;
    getVersion(): number;
    getNetwork(): NetworkTypeDto;
    getType(): EntityTypeDto;
    getFee(): AmountDto;
    getDeadline(): TimestampDto;
    getSize(): number;
    getBody(): undefined | Serializer;
    serialize(): Uint8Array;
}
